#ifndef _GFX_H
#define _GFX_H

#include "gtypes.h"
#include <SDL/SDL.h>


void DrawPixel(SDL_Surface *screen, int x, int y, Uint8 R, Uint8 G, Uint8 B, Uint8 A);

void MandelbrotSet(SDL_Surface *surface, unsigned int width, unsigned int height, 
		RealPlane Plane, unsigned int MaxIter, 
		T_ColorMap ColorMap)
	;

void JuliaSet(SDL_Surface *surface, unsigned int width, unsigned int height, 
		RealPlane Plane, cnum c, unsigned int MaxIter, 
		T_ColorMap ColorMap)
	;

Uint32 GetPixel(SDL_Surface *surface, Uint16 X, Uint16 Y);

void DrawZoomArea(SDL_Surface *surface, int Xpress, int Ypress, int XCurrent, int YCurrent); 

void LockSurface(SDL_Surface *screen);

void UnlockSurface(SDL_Surface *screen);

void PalGray(SDL_Surface *surface, unsigned int index, unsigned int iterations, unsigned int MaxIter);
void PalBW(SDL_Surface *surface, unsigned int index, unsigned int iterations, unsigned int MaxIter);
void PalColorGreen(SDL_Surface *surface, unsigned int index, unsigned int iterations, unsigned int MaxIter);
void PalColorRed(SDL_Surface *surface, unsigned int index, unsigned int iterations, unsigned int MaxIter);
void PalColorDarkBlue(SDL_Surface *surface, unsigned int index, unsigned int iterations, unsigned int MaxIter);
void PalColorRainbow(SDL_Surface *surface, unsigned int index, unsigned int iterations, unsigned int MaxIter);
void PalColorLightBlue(SDL_Surface *surface, unsigned int index, unsigned int iterations, unsigned int MaxIter);
#endif /* _GFX_H */

